API Reference
List runs for a job
GET
/api/jobs/{id}/runs
List runs for a job
Operation IDlistJobRuns
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Query parameters
cursorstringPagination cursor from a previous response
limitintegerMaximum number of results to return
statusstringSuccess response body
200Paginated list of job runs
Paginated list of job runs
Content typeapplication/json
responseobject4 properties
resultarray<JobRun>requiredArray items
itemobject12 properties
idintegerjob_idintegerstatusstringstarted_atstring | null · date-timecompleted_atstring | null · date-timeduration_msinteger | nullerror_messagestring | nullselected_tasksstring | nullJSON-encoded array of task keys to run (null = all)
run_statestring | nullInternal DAG execution state (JSON)
skip_depsinteger | null1 when selected tasks should run without their upstream depends_on tasks; 0/null otherwise.
created_atstring · date-timeupdated_atstring · date-timenextCursorstringprevCursorstringtotalintegerTotal number of records matching the current filters